/*
 * Copyright (c) 2007 NTT DATA Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.terasoluna.rich.functionsample.succeededblogic.blogic;

import jp.terasoluna.rich.functionsample.succeededblogic.bean.SucceededUserBean;


/**
 * AbstractSucceededBLogicクラスを継承した実装クラス。<br>
 * 入力クラスよりユーザ情報を取得し、ユーザ情報保持Beanへ格納し返却する。
 * 
 *
 */
public class SucceededBLogic extends AbstractSucceededBLogic<SucceededUserBean> {

    /**
     * ユーザ情報を入力値より取得し、JavaBeanへ詰め替えて返却する。
     * 
     * @param params ユーザ情報を保持したオブジェクト
     * @return ユーザ情報を詰め替えたオブジェクト
     */ 
    @Override
    public SucceededUserBean execute(SucceededUserBean params) {
        
        // 返却クラスを生成
        SucceededUserBean resultBean = new SucceededUserBean();
        
        // 入力情報より値を取得する
        String userId = params.getUserId();
        String password = params.getPassword();
        String userAddress = params.getUserAddress();
        String userTel = params.getUserTel();
        
        // ユーザIDをセットする。
        userId = "0002";
        // 氏名をセットする。
        String userName = "スプリング次郎";
        
        // 返却クラスに値をセットする
        resultBean.setUserId(userId);
        resultBean.setPassword(password);
        resultBean.setUserAddress(userAddress);
        resultBean.setUserTel(userTel);
        resultBean.setUserName(userName);

        return resultBean;
    }

}
